000016569 - Web Tier installation fails on Red Hat server - RSA Authentication Manager 8.1

Document created by RSA Customer Support Employee on Jun 14, 2016Last modified by RSA Customer Support Employee on Apr 22, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000016569
Applies ToRSA Authentication Manager (AM) 8.1

The Web Tier installation fails and the /opt/RSASecurity/RSAAuthenticationManagerWebtier/Install_V8.0.0_20140203135855_xxxxxxxxxxxxxxxxxxx.log file contains the following error.

2676   2014-08-08 09:48:20,133 INFO: Running task WebtierBootstrapper.installAll
6062   2014-08-08 09:48:23,519 FATAL: Unable to find dependency matching bea-jrockit:jdk:*:linux-x86_64:1.6.0.37 in the project
6075   2014-08-08 09:48:23,532 FATAL:
Unable to find dependency matching bea-jrockit:jdk:*:linux-x86_64:1.6.0.37 in the project
java.lang.AssertionError: Unable to find dependency matching bea-jrockit:jdk:*:linux-x86_64:1.6.0.37 in the project
 at com.rsa.plugins.install.CommandLineInstallEngine.fail(CommandLineInstallEngine.groovy:282)
 at com.rsa.plugins.install.CommandLineInstallEngine$fail.call(Unknown Source)
 at com.rsa.plugins.install.GroovyInstallEngine.fail(GroovyInstallEngine.groovy:31)
 at com.rsa.plugins.install.GroovyInstallEngine$_buildScriptEnvironment_closure5.doCall(GroovyInstallEngine.groovy:159)
 at Utils.findDepFileWithPattern(Utils.groovy:72)
 at Utils.findDepFile(Utils.groovy:48)
 at Utils.findDep(Utils.groovy:44)
 at WeblogicSoftware.installJDK(WeblogicSoftware.groovy:145)
 at WeblogicSoftware.install(WeblogicSoftware.groovy:27)
 at WeblogicSoftware$install.call(Unknown Source)
 at WebtierBootstrapper.installWeblogicSoftware(WebtierBootstrapper.groovy:42)
 at WebtierBootstrapper.installAll(WebtierBootstrapper.groovy:37)
 at com.rsa.plugins.install.GroovyInstallEngine.invokeScript(GroovyInstallEngine.groovy:68)
 at com.rsa.plugins.install.GroovyInstallEngine$_runTask_closure2.doCall(GroovyInstallEngine.groovy:57)
 at com.rsa.plugins.install.GroovyInstallEngine.runTask(GroovyInstallEngine.groovy:56)
 at com.rsa.plugins.install.GroovyInstallEngine$_runTasks_closure3.doCall(GroovyInstallEngine.groovy:106)
 at com.rsa.plugins.install.GroovyInstallEngine.runTasks(GroovyInstallEngine.groovy:105)
 at com.rsa.plugins.install.GroovyInstallEngine$runTasks.call(Unknown Source)
 at com.rsa.plugins.install.CommandLineInstallEngine.main(CommandLineInstallEngine.groovy:40)
Exception in thread "Main Thread" java.lang.AssertionError:
Unable to find dependency matching bea-jrockit:jdk:*:linux-x86_64:1.6.0.37 in the project
 at com.rsa.plugins.install.CommandLineInstallEngine.fail(CommandLineInstallEngine.groovy:287)
 at com.rsa.plugins.install.CommandLineInstallEngine$fail$0.call(Unknown Source)
 at com.rsa.plugins.install.GroovyInstallEngine.fail(GroovyInstallEngine.groovy:35)
 at com.rsa.plugins.install.GroovyInstallEngine$fail.callCurrent(Unknown Source)
 at com.rsa.plugins.install.GroovyInstallEngine.invokeScript(GroovyInstallEngine.groovy:88)
 at com.rsa.plugins.install.GroovyInstallEngine$_runTask_closure2.doCall(GroovyInstallEngine.groovy:57)
 at com.rsa.plugins.install.GroovyInstallEngine.runTask(GroovyInstallEngine.groovy:56)
 at com.rsa.plugins.install.GroovyInstallEngine$_runTasks_closure3.doCall(GroovyInstallEngine.groovy:106)
 at com.rsa.plugins.install.GroovyInstallEngine.runTasks(GroovyInstallEngine.groovy:105)
 at com.rsa.plugins.install.GroovyInstallEngine$runTasks.call(Unknown Source)
 at com.rsa.plugins.install.CommandLineInstallEngine.main(CommandLineInstallEngine.groovy:40)
Configuration step WebtierBootstrapper:installAll [FAILED]

IssueInstallation of a Web Tier on Red Hat V6.5 fails.
CauseThe customer generated a web Tier package on his AM 8.1 server but was using an AM 8.0 Web Tier installation file.
ResolutionUse an AM 8.1 Web Tier installation file with an AM 8.1 Web Tier package.
Legacy Article IDa67345

Attachments

    Outcomes